/// <reference types="node" />
import Koa, { Context } from 'koa';
import { FSWatcher } from 'chokidar';
import { Server } from 'net';
import { ParsedConfig } from './config';
declare type ServeResult = void | {
    body: string;
    type?: string;
    headers?: Record<string, string>;
};
declare type TransformResult = void | {
    body?: string;
    headers?: Record<string, string>;
};
interface ServerArgs {
    config: ParsedConfig;
    app: Koa;
    server: Server;
    fileWatcher: FSWatcher;
}
export interface Plugin {
    serverStart?(args: ServerArgs): void | Promise<void>;
    serve?(context: Context): ServeResult | Promise<ServeResult>;
    transform?(context: Context): TransformResult | Promise<TransformResult>;
    resolveImport?(args: {
        source: string;
        context: Context;
    }): string | Promise<string>;
    resolveMimeType?(context: Context): undefined | string | Promise<undefined | string>;
}
export {};
