"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Plugin which serves configured file extensions as JS.
 */
function fileExtensionsPlugin() {
    let fileExtensions;
    return {
        serverStart({ config }) {
            fileExtensions = config.fileExtensions.map(ext => (ext.startsWith('.') ? ext : `.${ext}`));
        },
        resolveMimeType(context) {
            if (fileExtensions.some(ext => context.path.endsWith(ext))) {
                return 'js';
            }
        },
    };
}
exports.fileExtensionsPlugin = fileExtensionsPlugin;
//# sourceMappingURL=fileExtensionsPlugin.js.map